/*
调用该方法传入表格对象及表格加载的数据对表格进行初始化
obj:表格对象
tableData:表格数据
Chinese.json 抽取的汉化语言信息 
 */
function initTable(obj, tableData) {
	obj.DataTable({
		scrollX : true,
		data : tableData,
		lengthChange : false,
		bDestroy : true,
		ordering : false,
		language : {
			url : '../json/chine.json'
		}
	});
}

/*
 * 只显示表格数据，去除其他信息 obj:表格对象 tableData:表格数据
 */
function initSimpleTable(obj, tableData) {
	obj.DataTable({
		scrollX : true,
		data : tableData,
		lengthChange : false,
		info : false,
		paging : false,
		ordering : false,
		lengthChange : false,
		searching : false,
		bDestroy : true,
		fnInitComplete : function() {
			this.fnAdjustColumnSizing(true);
		}
	});
}

/*
 * 行内按钮 obj:表格对象 tableData:表格数据 nIndex:按钮添加的列 nameBtn:按钮名称
 */
function initTableBtn(obj, tableData, nIndex, nameBtn) {
	var objTable = obj
			.DataTable({
				scrollX : true,
				data : tableData,
				lengthChange : false,
				bDestroy : true,
				ordering : false,
				language : {
					url : '../json/chine.json'
				},
				createdRow : function(row, data, index) {
					var $btnView = $('<button type="button" class="btn btn-primary btn-xs btn-view">'
							+ nameBtn + '</button>');
					$('td', row).eq(nIndex).append($btnView);
				}
			});

	return objTable;
}

/*
 * 隐藏/显示列 动态操作 obj:表格对象 hiddenName:列的class名称
 */
function visibleColumn(obj, hiddenName) {
	objTable.columns(hiddenName).visible(
			!objTable.columns(hiddenName).visible());
}